package com.ic.modules.auth.model;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;


import com.ic.modules.auth.payload.AuditLogsDto;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;

@Entity
@Table(name = "tbl_audit_log")
@Getter
@Setter
@AllArgsConstructor
public class AuditLogs {

	@Id
	@GeneratedValue(strategy = GenerationType.SEQUENCE)
	private Long id;
	
    private String service;
 

    private String sourceIp;
    
    private String deviceInfo;
    
    private String browserInfo;
    
    private String username;
    
    private String OS;
    
    private int statusCode;
    
    private String errorMsg;
    
    private Long timeTaken;
    
    private String requestObj;
    
    private String responseObj;
    
    private Date createdDate;
    
    public AuditLogs(AuditLogsDto audtiLogsDTO) {
    	this.id = audtiLogsDTO.getId();
    	this.service = audtiLogsDTO.getService();
    	this.sourceIp = audtiLogsDTO.getSourceIp();
    	this.username = audtiLogsDTO.getUsername();
    	this.statusCode = audtiLogsDTO.getStatus();
    	this.errorMsg = audtiLogsDTO.getErrorMsg();
    	this.timeTaken = audtiLogsDTO.getTimeTaken();
    	this.requestObj = audtiLogsDTO.getRequestObj();
    	this.responseObj = audtiLogsDTO.getResponseObj();
    	this.deviceInfo = audtiLogsDTO.getDeviceInfo();
    	this.browserInfo = audtiLogsDTO.getBrowserInfo();
    	this.OS = audtiLogsDTO.getOS();
    	this.createdDate = new Date();
    }
}
