package com.ic.modules.auth.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ic.constant.LeaderCalcConfig;
import com.ic.exception.ResourceNotFoundException;
import com.ic.modules.auth.model.DTSlabsMapping;

import com.ic.modules.auth.payload.DTslabsDto;
import com.ic.modules.auth.repository.DTslabsRepository;
import com.ic.modules.auth.service.DTslabsService;


@Service
public class DTslabsMappingServiceImpl implements DTslabsService {

	@Autowired
	DTslabsRepository dtslabsrepo;
	@Autowired
	LeaderCalcConfig LeaderCalcConfig;

	
	
	@Override
	public List<DTSlabsMapping> findAll() {  // neel gosrani 27-05-2020 Activation DT CR Function for fetch all data from DB
	
		return dtslabsrepo.findAll();
	}
	
	public DTSlabsMapping save(DTslabsDto dto, Boolean isCreate) {   // neel gosrani 27-05-2020 Activation DT CR Function for save all data to DB
		if(!isCreate) {
			dtslabsrepo.findById(dto.getId()).orElseThrow(()->new ResourceNotFoundException("dtslabs","key",dto.getId()));
		 }
		
		DTSlabsMapping dtslabsMapping = null;
		
		dtslabsMapping= new DTSlabsMapping();
		dtslabsMapping.setId(dto.getId());
		dtslabsMapping.setCBA(dto.getCBA());
		dtslabsMapping.setBA(dto.getBA());
		dtslabsMapping.setSBA(dto.getSBA());
		dtslabsMapping.setMaxval(dto.getMaxval());
		dtslabsMapping.setMinval(dto.getMinval());
		dtslabsMapping.setPartner(dto.getPartner());
		dtslabsMapping.setSenior_Partner(dto.getSenior_Partner());
		
		return dtslabsrepo.save(dtslabsMapping);
	}

	

}
